> For the complete documentation index, see [llms.txt](https://docs.relysia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relysia.com/wallets/balance.md).

# Balance

{% embed url="<https://share.synthesia.io/a8384342-c19c-4436-b14a-8f9248fba029>" %}

After the address, the second most essential feature of wallets are the display of the current wallet **balance**. Next to the standard inputs, you can define a fiat **currency** display of the balance.&#x20;

```javascript
var parameters = {
    serviceId: 'optional',
    walletID: 'optional',
    currency: 'optional',
}

const response = await relysia.wallet.v1.balance(parameters);
```

{% hint style="success" %}
The balance endpoint returns the BSV balance and fiat equivalent and STAS token balances of your wallet.&#x20;
{% endhint %}

## Get your wallet balance.

<mark style="color:blue;">`GET`</mark> `https://api.relysia.com/v1/balance`

Returns both coin and token balances.

#### Headers

| Name          | Type   | Description |
| ------------- | ------ | ----------- |
| walletID      | string |             |
| type          | string |             |
| currency      | string |             |
| nextPageToken | string |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "statusCode": 200,
  "data": {
    "status": "success",
    "msg": "Operation Completed Successfully",
    "totalBalance": {
      "currency": "USD",
      "balance": 0.11926660683
    },
    "coins": [
      {
        "protocol": "BSV",
        "balance": 248542
      }
    ],
    "meta": {
      "nextPageToken": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relysia.com/wallets/balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
